Bug 496356 - F10: boot.iso anaconda presents huge sequence of Missing Package dialogs
F10: boot.iso anaconda presents huge sequence of Missing Package dialogs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 21:32 EDT by Gerry Reno
Modified: 2009-06-08 15:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 15:49:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Reno 2009-04-17 21:32:25 EDT
Description of problem:
Using the boot.iso from F10 we are able to get through the partitioning area only to be stopped at the packages area.  The installer presents you with setting up network connection.  The only thing that will succeed is DHCP.  Past that then it begins retrieving installation information from the Fedora x86_64 repo and the Fedora x86_64 - Updates repo.  But there is a quick flash when it shows the Updates message and it appears twice in quick succession.  After that point then the installer presents a huge sequence of Missing Package dialogs which I assume is for every package in our package list.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Boot F10 boot.iso
2. Select partitioning.  We did Custom Setup with No changes other than setting mount points and selected Do Not Format.
3. Setup networking as DHCP (only one that will work)

  
Actual results:
See huge sequence of Missing Package dialogs.

Expected results:
Install proceeds to conclusion successfully.

Additional info:
Comment 1 Gerry Reno 2009-04-18 19:56:08 EDT
It might be that anaconda is still not properly setting up the network with NetworkManager and even though it looks like it is retrieving installation information, it may not be able to do that and therefore it thinks that all the packages are not available in the repo.  Just a guess as to what could possibly be happening.
Comment 2 Chris Lumens 2009-04-20 13:49:43 EDT
Please attach /tmp/anaconda.log to this bug report.
Comment 3 Gerry Reno 2009-04-20 14:21:42 EDT
# ls /tmp/anaconda*
ls: cannot access /tmp/anaconda*: No such file or directory

Would it write it anywhere else?

There is an anaconda.log in /var/log but it's from a year ago.  I don't see anywhere that these recent anaconda attempts have been logging anything.  Does anaconda have to get all the way to the end of the installation before it logs?
Comment 4 Jeremy Katz 2009-04-22 16:07:19 EDT
It logs to /tmp in the install environment (which is a ramdisk) while the install is running; we only copy the logs to the disk at the end of the install

So if you're in the install when you see the dialogs, you can grab /tmp/anaconda.log using the hslel then
Comment 5 Gerry Reno 2009-04-23 17:09:35 EDT
This problem occurred on the same machine with all the raid arrays and volume groups that caused problems for 'preupgrade'.  So I think all these problems are related to two things.  NetworkManager sometimes not getting the network setup correctly and anaconda not handling raid arrays correctly.  In one of my other bugs I listed all the /tmp ramdisk files in a tarball (same machine) but it was for a preupgrade and not the boot.iso.  And right now the machine is stuck half way through a 'preupgrade' and I've made some posts in the yum list to see if there is a way to manually get the preupgrade to complete.
Comment 6 Gerry Reno 2009-04-23 17:11:33 EDT
Link to other bug:  https://bugzilla.redhat.com/show_bug.cgi?id=496258
Comment 7 Chris Lumens 2009-04-29 11:57:22 EDT
Yes, this definitely sounds like problems setting up the network and therefore the repodata is all screwed up.  If you can reproduce this with something more recent like F11 preview and can attach the log files somehow (or at least take a picture of what's on tty3 and tty4, can check out ifconfig on tty2, etc.) then hopefully we can make some progress on this.

Note You need to log in before you can comment on or make changes to this bug.